# Pseudominimalism

Pseudominimalism is the kind of technology design which aims to appear [minimalist](minimalism.md) on the outside while being [bloated](bloat.md) on the inside. Rather than trying to achieve a truly good, minimalist design from the ground up, with all its advantages, pseudominimalism just tries to hide the ugliness of its internals and appeal purely by the looks. A typical example could be a website that has a minimalist look -- a blank background with sans-serif font text and a few nice looking shapes -- which in the background uses dozens of [JavaScript](js.md) frameworks and libraries and requires a high end CPU to even appear responsive. Basically all [modern](modern.md) "retro" video [games](game.md) are pseudominimalist in design, they use pixelated graphics but are created in huge frameworks such as [Unity](unity.md) or [Godot](godot.md); even projects calling themselves "minimalist", such as many [fantasy consoles](fantasy_console.md), are in fact only pseudominimalist, written in extremely high level languages such as [JavaScript](javascript.md). [Apple](apple.md) is heavily practicing pseudominimalism.

Another example are many [modern](modern.md) [CLI](cli.md) programs that [code monkeys](coder.md) use to impress their [YouTube](youtube.md) viewers or to feel like matrix haxors. Some people think that anything running in the command line is minimalist which is less and less true as we progress into the [future](future.md). A lot of [capitalist software](capitalist_software.md) add a CLI interface ex post **on top** of an already bloated program, often by simply disabling [GUI](gui.md) (but leaving all its [dependencies](dependency.md) in). An example may be the [gomux](gomux.md) chat client.

Yet another kind of pseudominimalism appearing among the new generation of pseudoprogrammers is all about writing very few LOC in some hugely bloated language and calling that "minimalism". Something like a *Minecraft clone in 100 LOC of Python using only Python standard library*, the catch of course being that [Python](python.md) itself is hugely bloated and its standard library is enormous, therefore they just hide all the complexity out of view. Such effort is of course completely useless and only serves for flexing in front of beginners who can't spot the trick. Even if obvious, it has to be noted that **minimalist software cannot be written in a bloated language**.